Subject: Re: bug#16242: 24.3; wish: set init directory (.emacs.d) by commandline flag for easy custom environments

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jan 2022 23:36:14 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I think I may have found what I did wrong in setting up the eln
> directory, but currently the build doesn't work well with nativecomp
> even without my changes -- require complaints about require loading
> itself recursively, or something.  (I think there's a separate bug
> report about that...)

Yup, with your recent changes everything works fine, and nativecomp
works find with the new --init-dir switch.  So I'm pushing this to Emacs
29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no